import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Create a line with gradient color
 * Remember! Color should be between 0-255 (inclusive)
 */
public class GradientLine extends Actor
{
    
    private GradientColor gColor;
    private GreenfootImage Img;
    
    public GradientLine(int red1, int green1, int blue1, int red2, int green2, int blue2, int length, int scale)
    {
        gColor = new GradientColor(length, scale);
        gColor.setOrigin(red1, green1, blue1, 255);
        gColor.setTarget(red2, green2, blue2, 255);
        
        Img = new GreenfootImage(length, 15);
        for(int i = 0; i < length; i++)
        {
            Img.setColor(gColor.getNextColor());
            Img.drawString("|", i, 0);
        }
        setImage(Img);
    }
}
