import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)
import java.awt.Color;
import java.awt.Font;

/**
 * Just for demonstration
 * not a reusable actor
 * 
 * str => your words. Should be inside " "
 * strSize => font size
 * gradientSize => gradient scaling (in percentage)
 */

public class GradientText extends Actor
{
    public GradientText(String str, int strSize, int r1, int g1, int b1,
                        int r2, int g2, int b2, int gradientSize)
    {
        GreenfootImage img = new GreenfootImage(str.length()*strSize, strSize*2);
        Font font = img.getFont();
        font = font.deriveFont((float)strSize);
        
        GradientColor gColor = new GradientColor(str.length(), gradientSize);
        gColor.setOrigin(r1, g1, b1, 255);
        gColor.setTarget(r2, g2, b2, 255);
        
        for (int i = 0; i < str.length(); i++)
        {
            img.setColor(gColor.getNextColor());
            img.setFont(font);
            img.drawString(str.substring(i, i+1), i*strSize, strSize);
        }
        setImage(img);
    }
}